type Type = 'success' | 'warning' | 'danger' | 'info';
type Position = 'top-left' | 'top-center' | 'top-right' | 'bottom-left' | 'bottom-center' | 'bottom-right';
type Transition = 'fade' | 'bounce' | 'slide-blurred';
type Icons = Record<Type, string>;
interface NotifyOptions {
    title: string;
    html?: string;
    type?: Type;
    position?: Position;
    duration?: number;
    transition?: Transition;
    config?: {
        icons: Icons;
    } | null;
}
declare const Notify: (options: NotifyOptions, callback?: () => void) => HTMLDivElement;
declare const NotifyAsync: (options: NotifyOptions) => Promise<void>;

export { Notify, NotifyAsync };
